{% extends 'index.html' %}
{% load static %}

{% block content %}
<div class="add-schedule" style="margin-top: 150px;">
    <h1 class="font-weight-bold text-center pb-3">Add Activity</h1>
    <div class="d-flex">
        <a href="{% url 'activity:my-activity' %}" class="btn click font-weight-bold mx-auto" role="button" aria-pressed="true" style="background-color: #FFB39B;">My Activity</a>
    </div>

    <form method="POST">
        {% csrf_token %}
        <div class="mr-auto ml-auto mt-5" style="width: 50%;">
            {% for field in form %}
            <div class="form-grodown">
                {{ field.label_tag }}
                {{ field }}
            </div>
            {% endfor %}
            <br>
            <div class="container">
                <input type="submit" value="Add" class= "btn click font-weight-bold" style="background-color: #FFB39B; color: black; float: right;">
            </div>
        </div>
    </form>
    {% if status %}
            {% if status == 'success' %}
            <div class="alert ml-auto mr-auto" role="alert" style="background-color: #FFB39B; width: 50%;">
                <b>Activity added!</b>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% else %}
            <div class="alert ml-auto mr-auto" role="alert" style="background-color: #FFB39B; width: 50%;">
                <b>Wrong input!</b> Please try again.
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% endif %}
    {% endif %}
</div>
{% endblock content %}